<template>
  <tbody>
    <template v-for="{ to, text, comment, download } in props.links" :key="to">
      <tr>
        <td>
          <OutLink :to="to" :text="text" :download="download" />
        </td>
        <td>
          {{ comment }}
        </td>
      </tr>
    </template>
  </tbody>
</template>

<script setup lang="ts">
interface IResourceLink {
  to: string;
  text?: string;
  comment?: string;
  download?: boolean;
}

const props = defineProps<{ links: IResourceLink[] }>();
</script>
